<?php
	header('Content-Type: text/html;charset=iso-8859-1');
	//ini_set('display_errors','1');
	//$currentTimeoutInSecs = ini_get('session.gc_maxlifetime');
	//echo $currentTimeoutInSecs . '<br /><br />';
	ini_set('session.gc_maxlifetime',8*60*60);
	//$currentTimeoutInSecs = ini_get('session.gc_maxlifetime');
	//echo $currentTimeoutInSecs;

	include 'php/connexion.php';
	include 'php/user_class.php';
	include 'php/escape_valeur.php';
	include 'php/recaptchalib.php';

	session_start();

	include 'php/affichage_inc.php';
	include 'php/form_login.php';
	include 'php/user_main_menu.php';
	include 'php/acces_ecoles.php';
	include 'php/progression_inscriptions.php';
	include 'php/progression_inscriptions_totals.php';
	include 'php/tableau_progression_inscriptions.php';
	include 'php/moyenne_globale.php';
	include 'php/moyenne_globale_par_region.php';
	include 'php/tableau_ecoles.php';
 	include 'php/form_eval_p2223.php'; 
 	include 'php/form_eval_s2223.php'; 
	include 'php/form_eval_p1718.php'; 
	include 'php/form_eval_s1718.php'; 
	include 'php/form_eval_p1516.php'; // 2015-2016 et 2016-2017
	include 'php/form_eval_s1516.php'; // 2015-2016 et 2016-2017

	function afficherPage()
	{
		$html = '';

		if (isset($_GET['p']) && !(isset($_SESSION['usagerConsultIsoActif'])))
		{
			$html .= afficherFormAcc();

			return $html;
		}
		else if (isset($_SESSION['usagerConsultIsoActif']))
		{
			$html .= '<div style="text-align:right;">' . $_SESSION['usagerConsultIsoActif']->u_nom . ' (' . $_SESSION['usagerConsultIsoActif']->u_regionTXT . ') - <a href="index.php">Menu</a> - <a href="php/logout.php">D&eacute;connexion</a></div>';

			if (isset($_GET['p']))
			{
				if ($_GET['p'] == 'accesEcoles')
					$html .= afficherAccesEcoles(); // Dans acces_ecoles.php
				else if ($_GET['p'] == 'mGlobale')
					$html .= afficherMoyenneGlobale(); // Dans moyenne_globale.php
				else if ($_GET['p'] == 'progress')
					$html .= showInscriptionsProgress();
				else if ($_GET['p'] == 'progressTotals')
					$html .= showInscriptionsProgressTotals();
				else if ($_GET['p'] == 'progressTable')
					$html .= showInscriptionsProgressTableau();
				else if ($_GET['p'] == 'mGlobaleParIR')
					$html .= afficherMoyenneGlobaleParRegion(); // Dans moyenne_globale_par_region.php
				else if ($_GET['p'] == 'tableauEcoles')
					$html .= afficherTableauEcoles(); // Dans tableau_ecoles.php
				else if ($_GET['p'] == 'formP')
					$html .= afficherFormP($_GET['idEcole']); // Dans form_eval_p.php
				else if ($_GET['p'] == 'formS')
					$html .= afficherFormS($_GET['idEcole']); // Dans form_eval_s.php
				else if ($_GET['p'] == 'formP1516') // 2015-2016 et 2016-2017
					$html .= afficherFormP1516($_GET['idEcole']); // Dans form_eval_p1516.php
				else if ($_GET['p'] == 'formS1516') // 2015-2016 et 2016-2017
					$html .= afficherFormS1516($_GET['idEcole']); // Dans form_eval_s1516.php
				else if ($_GET['p'] == 'formP1718') // 2017-2018
					$html .= afficherFormP1718($_GET['idEcole']); // Dans form_eval_p1718.php
				else if ($_GET['p'] == 'formS1718') // 2017-2018
					$html .= afficherFormS1718($_GET['idEcole']); // Dans form_eval_s1718.php
				else if ($_GET['p'] == 'formP2223') // 2017-2018
					$html .= afficherFormP2223($_GET['idEcole']); // Dans form_eval_p1718.php
				else if ($_GET['p'] == 'formS2223') // 2017-2018
					$html .= afficherFormS2223($_GET['idEcole']); // Dans form_eval_s1718.php
			}
			else
				$html .= afficherUserMainMenu(); // Dans user_main_menu.php
		}
		else
			$html .= afficherFormAcc(); // Dans form_login.php

		return $html;
	}
?>

<!DOCTYPE HTML>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="dc.title" content="ISO-ACTIF - Formulaire d'&eacute;valuation en ligne" />
<meta name="dc.creator" content="RSEQ" />
<meta name="dc.publisher" content="RSEQ" />
<meta name="dc.format" http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>ISO-ACTIF - Formulaire d'&eacute;valuation en ligne</title>
<meta property="og:title" content="ISO-ACTIF - Formulaire d'&eacute;valuation en ligne"/>
<meta property="og:type" content="non_profit"/>
<meta property="og:url" content="http://www.isoactif.rseq.ca/plateforme"/>
<meta property="og:image" content="http://isoactif.rseq.ca/plateforme/images/logo_fb_share.jpg"/>
<meta property="og:site_name" content="ISO-ACTIF - Formulaire d'&eacute;valuation en ligne"/>
<meta property="og:description" content="ISO-ACTIF est un outil de promotion, d'intervention et de valorisation des saines habitudes de vie dans les écoles. Il est divisé en trois volets : l'activité physique, la saine alimentation et la prévention du tabasigme. Ce projet vise essentiellement à valoriser les écoles qui posent des actions concrètes en faveur d'un mode de vie sain et actif."/>
<script src="inc/jquery-1.9.1.js"></script>
<script src="inc/jquery-ui-1.10.3.custom.min.js"></script>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
<script src='https://www.google.com/recaptcha/api.js'></script>
<script src="https://www.amcharts.com/lib/3/amcharts.js"></script>
<script src="https://www.amcharts.com/lib/3/serial.js"></script>
<script src="https://www.amcharts.com/lib/3/plugins/export/export.min.js"></script>
<link rel="stylesheet" href="https://www.amcharts.com/lib/3/plugins/export/export.css" type="text/css" media="all" />
<script src="https://www.amcharts.com/lib/3/themes/light.js"></script>
<script src="inc/scripts.js"></script>
<script src="inc/validation.js"></script>
<link rel="stylesheet" type="text/css" href="inc/styles.css" media="screen" />
<link rel="stylesheet" type="text/css" href="inc/ui-smoothness/jquery-ui.css" media="screen" />
</head>

<?php
	if (isset($_SESSION['usergalaecole']))
		echo '<body onload="autoLogOutApres8heures();">';
	else
		echo '<body>';
?>
    <div id="wrapper">
        <div id="header"><a href="index.php"><img src="images/header_consult.jpg" title="ISO-ACTIF - Formulaire d'évaluation en ligne" alt="ISO-ACTIF" /></a></div>
        <div id="content">
            <?php echo afficherPage(); ?>
        </div>
    </div>
     <div id="copyrights">&copy; <?php echo(date('Y')); ?> - R&eacute;seau du sport &eacute;tudiant du Qu&eacute;bec - Tous droits r&eacute;serv&eacute;s</div>
</body>
</html>
